import request from "@/util/oaRequest"

// 出差单
export function listTravelReq(query) {
  return request({
    url: '/hrm/travel/list',
    method: 'get',
    params: query
  })
}

export function getTravelReq(bizId) {
  return request({
    url: `/hrm/travel/${bizId}`,
    method: 'get'
  })
}

export function addTravelReq(data) {
  return request({
    url: '/hrm/travel',
    method: 'post',
    data
  })
}

export function editTravelReq(data) {
  return request({
    url: '/hrm/travel',
    method: 'put',
    data
  })
}

export function delTravelReq(bizIds) {
  return request({
    url: `/hrm/travel/${bizIds}`,
    method: 'delete'
  })
}

export function allTravelReq(query) {
  return request({
    url: '/hrm/travel/all',
    method: 'get',
    params: query
  })
}
